Payments
Payment result callback interface
The interface URL is provided by the docking merchant, and the parameter passed in the first step of creating the order: notifyPage After the payment is completed, the payment result will be notified through the URL corresponding to the notifyPage.
POST
/
notifyPage
curl --request POST \
--url http://service.xxx.com/notifyPage
{
"code": "",
"msg": "",
"sign":"2ae04ed9165624419bad68e9e0f3f2sa9fbd2ae04ed916511624419bad68e9e20f3f29fbd".
}
Query Parameters
appKey
string
requiredMerchant AppKey
Example: xxx_xxx
outOrderId
string
requiredMerchant side order number.
Example: 1000000009
orderNum
string
requiredOpen platform order number.
Example: 1000000002
orderStatus
string
requiredOrder status (1 Pending payment; 2 Payment failed; 3 Payment successful; 0 Closed).
Example: 1
payAmount
string
requiredOrder amount.
Example: 200
returnUrl
string
requiredSynchronized notification page (order placement interface incoming).
Example: https://www.google.com
Response
200 - application/json
code
string
Return code
msg
string
Success or failure message
data
string
The client receives the request and returns success, which means the request has been received.
sign
string
Signature
Example: 2ae04ed9165624419bad68e9e0f3f2sa9fbd2ae04ed916511624419bad68e9e20f3f29fbd
curl --request POST \
--url http://service.xxx.com/notifyPage
{
"code": "",
"msg": "",
"sign":"2ae04ed9165624419bad68e9e0f3f2sa9fbd2ae04ed916511624419bad68e9e20f3f29fbd".
}